%define major 4
%define minor 1
%define fix 1

Name: tesseract
Version: %{major}.%{minor}.%{fix}
Release: 1
Summary: tesseract
License: Apache-2.0
Url: https://tesseract-ocr.github.io

Source0: https://github.com/tesseract-ocr/tesseract/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0: tesseract-dont-link-librt.patch
Patch1: tesseract-training-extralib.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config

BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: giflib-devel
BuildRequires: harfbuzz-devel
BuildRequires: icu-devel
BuildRequires: leptonica-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: lzo-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel

%description
Tesseract is an open source text recognition (OCR) Engine, available under the
Apache 2.0 license.


%package -n libtesseract%{major}
Summary: Tesseract library

%description -n libtesseract%{major}
Contains tesseract library files


%package tessdata
Summary: Tesseract models
Requires: libtesseract%{major} = %{version}-%{release}

%description tessdata
Trained model files to use with tesseract


%package devel
Summary: Tesseract development files
Requires: libtesseract%{major} = %{version}-%{release}

%description devel
Files needed to build against tesseract


%package tools
Summary: Libicu utility tools
Requires: libtesseract%{major} = %{version}-%{release}

%description tools
Contains tesseract utility tools


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

export CONFIG_SHELL="%{_bindir}/bash"
export CONFIG_ENV_ARGS="%{_bindir}/bash"

autoreconf -fiv
%configure \
   CFLAGS="$CFLAGS -pthread" \
   CXXFLAGS="$CXXFLAGS -I%{_includedir}/cairo/ -I%{_includedir}/freetype2/ -D__STDC_FORMAT_MACROS -pthread" \
   LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -pthread" \
   --with-aix-soname=svr4 \
   --enable-shared \
   --disable-static
%make_build all training

%install
%make_install training-install

%files -n libtesseract%{major}
%defattr(-, qsys, *none)
%license LICENSE
%doc AUTHORS ChangeLog README.md
%{_libdir}/libtesseract.so.4

%files tessdata
%defattr(-, qsys, *none)
%{_datadir}/tessdata/

%files devel
%defattr(-, qsys, *none)
%{_includedir}/tesseract/
%{_libdir}/libtesseract.so
%{_libdir}/pkgconfig/tesseract.pc

%files tools
%defattr(-, qsys, *none)
%{_bindir}/ambiguous_words
%{_bindir}/classifier_tester
%{_bindir}/cntraining
%{_bindir}/combine_lang_model
%{_bindir}/combine_tessdata
%{_bindir}/dawg2wordlist
%{_bindir}/language-specific.sh
%{_bindir}/lstmeval
%{_bindir}/lstmtraining
%{_bindir}/merge_unicharsets
%{_bindir}/mftraining
%{_bindir}/set_unicharset_properties
%{_bindir}/shapeclustering
%{_bindir}/tesstrain.sh
%{_bindir}/tesstrain_utils.sh
%{_bindir}/text2image
%{_bindir}/unicharset_extractor
%{_bindir}/wordlist2dawg
%{_bindir}/tesseract

%changelog
* Tue Mar 02 2021 Vasili Skurydzin <vasili.skurydzin@ibm.com> - 4.1.1
- Initial spec file
